#include "../cdb_system.h"
#include <windows.h>

// returns NULL, if there is no memory left or an error occured
void * sys_heapAlloc(size_t bytes){
    return HeapAlloc(GetProcessHeap(), 0, bytes); //generic call to the windows heapAlloc function
}

// returns NULL, if there is no memory left or an error occured
void * sys_heapResize(void * memory, size_t newBytes){
    return HeapReAlloc(GetProcessHeap(), 0, memory, newBytes);
}

 // what should this function do, if an error occurse..
void sys_heapFree(void * memory){
    HeapFree(GetProcessHeap(), 0, memory);
}
