#include "../../../System Abstraction/cdb_system.h"
#include "stdio.h"

void main(){
    sys_File file = sys_fileOpenInMem("testfile.txt", SYS_FILE_NEW);
    if(file == NULL){
        printf("file is null\n");
        return;
    }

    char * memory = sys_fileFileToMemory(file);
    if(memory == 0){
        printf("memory was null\n");
        return;
    }else{
        printf("%c\n", memory[0] == 0 ? 'Y' : 'N');
    }

    sys_fileResize(file, 4);
    memory = sys_fileFileToMemory(file);
    memory[0] = 'a';
    memory[1] = 'b';
    memory[2] = 'c';
    memory[3] = 'd';
    memory[4] = 'e';
    sys_fileFlush(file);
    sys_fileClose(file);
    file = sys_fileOpenInMem("testfile.txt", SYS_FILE_NOTHING);
    memory = sys_fileFileToMemory(file);
    memory[0] = 'O';
    sys_fileFlush(file);
    sys_fileClose(file);
}